
void _efl_ui_internal_text_scroller_scroller_mode_set(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd, Efl_Ui_Text_Scroller_Mode mode);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_internal_text_scroller_mode_set, EFL_FUNC_CALL(mode), Efl_Ui_Text_Scroller_Mode mode);

Efl_Object *_efl_ui_internal_text_scroller_viewport_clip_get(const Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_internal_text_scroller_viewport_clip_get, Efl_Object *, NULL);

void _efl_ui_internal_text_scroller_initialize(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd, Efl_Canvas_Textblock *text_obj, Efl_Ui_Table *text_table);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_internal_text_scroller_initialize, EFL_FUNC_CALL(text_obj, text_table), Efl_Canvas_Textblock *text_obj, Efl_Ui_Table *text_table);

Efl_Object *_efl_ui_internal_text_scroller_efl_object_constructor(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd);


Efl_Object *_efl_ui_internal_text_scroller_efl_object_finalize(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd);


void _efl_ui_internal_text_scroller_efl_object_destructor(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd);


void _efl_ui_internal_text_scroller_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Internal_Text_Scroller_Data *pd);


static Eina_Bool
_efl_ui_internal_text_scroller_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_INTERNAL_TEXT_SCROLLER_EXTRA_OPS
#define EFL_UI_INTERNAL_TEXT_SCROLLER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_internal_text_scroller_mode_set, _efl_ui_internal_text_scroller_scroller_mode_set),
      EFL_OBJECT_OP_FUNC(efl_ui_internal_text_scroller_viewport_clip_get, _efl_ui_internal_text_scroller_viewport_clip_get),
      EFL_OBJECT_OP_FUNC(efl_ui_internal_text_scroller_initialize, _efl_ui_internal_text_scroller_initialize),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_internal_text_scroller_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_internal_text_scroller_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_internal_text_scroller_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_internal_text_scroller_efl_canvas_group_group_calculate),
      EFL_UI_INTERNAL_TEXT_SCROLLER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_internal_text_scroller_class_desc = {
   EO_VERSION,
   "Efl.Ui.Internal_Text_Scroller",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Internal_Text_Scroller_Data),
   _efl_ui_internal_text_scroller_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_internal_text_scroller_class_get, &_efl_ui_internal_text_scroller_class_desc, EFL_UI_SCROLLER_CLASS, NULL);
